public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-fps/quake2-demodata/
Date: Wed,  7 Apr 2021 01:58:21 +0000 (UTC)	[thread overview]
Message-ID: <1617760656.fb43d595458946ec20cc09c0dc89ef91ae1b346c.sam@gentoo> (raw)

commit:     fb43d595458946ec20cc09c0dc89ef91ae1b346c
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  7 01:26:05 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Apr  7 01:57:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb43d595

games-fps/quake2-demodata: port to EAPI 7, games.eclass--

Signed-off-by: Sam James <sam <AT> gentoo.org>

 ...-3.14.ebuild => quake2-demodata-3.14-r1.ebuild} | 28 ++++++++++------------
 1 file changed, 13 insertions(+), 15 deletions(-)

diff --git a/games-fps/quake2-demodata/quake2-demodata-3.14.ebuild b/games-fps/quake2-demodata/quake2-demodata-3.14-r1.ebuild
similarity index 70%
rename from games-fps/quake2-demodata/quake2-demodata-3.14.ebuild
rename to games-fps/quake2-demodata/quake2-demodata-3.14-r1.ebuild
index bcca1299773..b7fe8cd32c7 100644
--- a/games-fps/quake2-demodata/quake2-demodata-3.14.ebuild
+++ b/games-fps/quake2-demodata/quake2-demodata-3.14-r1.ebuild
@@ -1,16 +1,19 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit unpacker eutils versionator games
+EAPI=7
 
-MY_PV=$(delete_all_version_separators)
+inherit unpacker
+
+#MY_PV=$(delete_all_version_separators)
+MY_PV=$(ver_rs 1- '')
 MY_PN="quake2"
 FILE="q2-${MY_PV}-demo-x86.exe"
 
 DESCRIPTION="Demo data for Quake 2"
 HOMEPAGE="https://en.wikipedia.org/wiki/Quake_II"
 SRC_URI="mirror://idsoftware/${MY_PN}/${FILE}"
+S="${WORKDIR}"
 
 # See license.txt - it's a bit different to Q2EULA in Portage
 LICENSE="quake2-demodata"
@@ -18,19 +21,17 @@ SLOT="0"
 KEYWORDS="~alpha ~amd64 ~x86"
 IUSE="symlink"
 
-RDEPEND=""
-DEPEND="app-arch/unzip
-	!games-fps/quake2-data" # games-fps/quake2-data already includes the demo data
+RDEPEND="!games-fps/quake2-data" # games-fps/quake2-data already includes the demo data
+BDEPEND="app-arch/unzip"
 
-S=${WORKDIR}
-dir=${GAMES_DATADIR}/${MY_PN}
+dir=usr/share/${MY_PN}
 
 src_unpack() {
 	unpack_zip ${A}
 }
 
 src_install() {
-	insinto "${dir}"/demo
+	insinto ${dir}/demo
 	doins -r Install/Data/baseq2/{pak0.pak,players}
 
 	dodoc Install/Data/DOCS/*.txt
@@ -38,15 +39,12 @@ src_install() {
 	if use symlink ; then
 		# Make the demo the default, so that people can just run it,
 		# without having to mess with command-line options.
-		cd "${D}/${dir}" && ln -sfn demo baseq2
+		cd "${ED}"/${dir} || die
+		ln -sfn demo baseq2 || die
 	fi
-
-	prepgamesdirs
 }
 
 pkg_postinst() {
-	games_pkg_postinst
-
 	elog "This is just the demo data. To play, install a client"
 	elog "such as games-fps/qudos"
 	echo


             reply	other threads:[~2021-04-07  1:58 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-07  1:58 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-01-27  9:54 [gentoo-commits] repo/gentoo:master commit in: games-fps/quake2-demodata/ Michał Górny
2016-05-18  5:17 Michael Sterrett
2016-04-17  1:55 Michael Sterrett

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1617760656.fb43d595458946ec20cc09c0dc89ef91ae1b346c.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox